# Method: networks.create

Creates a Network.

### HTTP request

`POST https://middlemileoptimization.googleapis.com/v1/networks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `networkId` | `string` Required. Identifier of the network to create. |

### Request body

The request body contains an instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/optimization/middlemileoptimization/reference/rest/v1/networks#Network`.